LEED Brakes » LEED Brakes


LEED Brakes Categories

View  
Items 121-145 of 145
Tools
LEED Brakes offers various brake tools to help diagnose your vehicles brake system effectively.
Universal Brackets
Universal Brake Line Kits
Universal Brake Line Kits
Universal Brake Master Cylinder Kits
Upgrade your braking system with LEED Brakes’ complete lineup of universal master cylinder kits, engineered to deliver reliable performance for disc/drum and disc/disc applications. Whether...More Details »
Universal Brake Proportioning Valves
Enhance Braking Performance with Universal Proportioning Valves Upgrade your braking system with LEED Brakes' Universal Brake Proportioning Valves for disc/drum and 4-wheel disc brake setups....More Details »
Universal Fit Products
Universal Brake Parts LEED Brakes' universal fit products are designed with the custom car builder in mind. Most universal brake parts in this segment will require ingenuity and a special skill...More Details »
Vacuum Pumps
Vacuum Pumps for Brake Boosters & Power Braking Systems The LEED Brakes Bandit series vacuum pump is designed to provide a powerful, efficient, and quiet solution for your brake vacuum...More Details »
Vacuum Pumps & Parts
Reliable Brake Vacuum Solutions with LEED Brakes' Bandit Series Vacuum Pumps The LEED Brakes Bandit Series Vacuum Pump Kit is an efficient, quiet, and vibration-free solution for your brake...More Details »
Vacuum Pumps & Parts
Vacuum Pumps & Parts The LEED Brakes Bandit Series Vacuum Pump offers an efficient, quiet, and vibration-free solution for your brake vacuum assist requirements. Our electric vacuum pump...More Details »
Items 121-145 of 145

LEED Brakes Products

Sort
View
 
Items 781-840 of 1135
Chevy II , Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: BFC1006-3A1X
Condition: New
Price: $1,194.99

Qty:

Chevy II , Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: BFC1006-3A3X
Condition: New
Price: $1,194.99

Qty:

Chevy II , Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: FC1006-3A1X
Condition: New
Price: $1,119.99

Qty:

Chevy II , Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: RFC1006-3A3X
Condition: New
Price: $1,194.99

Qty:

Chevy II , Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1962–1967 Chevy II or Nova with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This manual front disc brake...More Details »
Item #: RFC1006-3A1X
Condition: New
Price: $1,194.99

Qty:

Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This front disc brake conversion kit includes everything you need to...More Details »
Item #: BFC1006-FA3X
Condition: New
Price: $1,254.99

Qty:

Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This kit includes everything you need to mount single-piston disc...More Details »
Item #: FC1006-FA3X
Condition: New
Price: $1,179.99

Qty:

Chevy II, Nova
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' drum to disc brake conversion kit. This front disc brake conversion kit includes everything you need to...More Details »
Item #: RFC1006-FA3X
Condition: New
Price: $1,254.99

Qty:

Master Cylinder
Description: New 1-1/16" bore power or manual brake master cylinder with left side outlets, 3/8-24 & 1/2-20 outlets. If you are looking for a 1" Bore master use part number MC004 If you are looking...More Details »
Item #: MC012
Condition: New
Price: $79.99
Qty:

Universal
Description: This 1" bore power brake master cylinder with adjustable proportioning valve is designed for most front disc/rear drum or 4-wheel disc brake applications. The 1-inch bore size provides balanced...More Details »
Item #: M_305
Condition: New
Price: $184.99
Qty:

Corvette
Description: 1" bore power brake master cylinder with 4-wheel disc proportioning valve. This kit provides a clean, factory-style solution for adding a 1-inch bore power brake master cylinder with the correct...More Details »
Item #: M_3A3
Condition: New
Price: $289.99

Qty:

Corvette
Description: New 1" bore power brake master cylinder with front disc/rear drum proportioning valve. This kit provides a clean, factory-style solution for adding a power Corvette-style brake master cylinder...More Details »
Item #: M_3A1
Condition: New
Price: $289.99

Qty:

Universal
Description: 1-1/8" bore chrome flat top power brake master cylinder with a four-wheel disc brake proportioning valve from LEED Brakes. This Master Cylinder Kit – 1-1/8" Bore Flat Top Left Port with Bottom...More Details »
Item #: M_694
Condition: New
Price: $379.99

Qty:

Universal
Description: 1-1/8" bore chrome flat top power brake master cylinder with a front disc/rear drum brake proportioning valve from LEED Brakes. This Master Cylinder Kit – 1-1/8" Bore Flat Top, Left Port with...More Details »
Item #: M_692
Condition: New
Price: $379.99

Qty:

Universal
Description: 1-1/8" bore chrome flat top power brake master cylinder with a front disc/rear drum brake proportioning valve. This Master Cylinder Kit – 1-1/8" Bore Flat Top, Left Port with Side Mount...More Details »
Item #: M_6B2
Condition: New
Price: $379.99

Qty:

Universal
Description: 1-1/8" bore power brake master cylinder and adjustable proportioning valve from LEED Brakes. This cast iron master cylinder is ideal for most front disc/rear drum or four-wheel disc brake...More Details »
Item #: M_105
Condition: New
Price: $179.99
Qty:

Universal
Description: 1-1/8" bore power brake master cylinder and four-wheel disc brake proportioning valve from LEED Brakes. This kit offers a clean, factory-style way to add a power four-wheel disc brake master...More Details »
Item #: M_183
Condition: New
Price: $289.99

Qty:

Universal
Description: 1-1/8" bore power brake master cylinder kit with a front disc/rear drum brake proportioning valve. This master cylinder kit offers a clean, factory-style solution for adding a power brake master...More Details »
Item #: M_181
Condition: New
Price: $289.99

Qty:

Universal
Description: 1-1/8" bore power brake master cylinder and four-wheel disc brake proportioning valve from LEED Brakes. This Master Cylinder Kit – 1-1/8" Bore Left Port with Side Mount Proportioning Valve –...More Details »
Item #: M_1A3
Condition: New
Price: $289.99

Qty:

Universal
Description: 1-1/8" bore power brake master cylinder and front disc/rear drum brake proportioning valve from LEED Brakes. This Master Cylinder Kit – 1-1/8" Bore Left Port with Side Mount Proportioning Valve...More Details »
Item #: M_1A1
Condition: New
Price: $289.99

Qty:

Universal
Description: Chrome flat top 1" bore master cylinder with adjustable proportioning valve. This chrome power brake master cylinder is designed for most front disc/rear drum or 4-wheel disc brake applications,...More Details »
Item #: M_F05
Condition: New
Price: $339.99

Qty:

Corvette
Description: Chrome power brake booster and 1" bore Corvette-style master cylinder kit with adjustable proportioning valve. This chrome flat top master cylinder is designed for most 4-wheel disc brake...More Details »
Item #: M_FB4
Condition: New
Price: $369.99

Qty:

Corvette
Description: Chrome flat top 1" bore power brake master cylinder with adjustable proportioning valve. This Chevy-style master cylinder is designed for most front disc/rear drum brake applications, delivering...More Details »
Item #: M_FB2
Condition: New
Price: $369.99

Qty:

Universal
Description: Upgrade your 4-wheel disc brake system with LEED Brakes’ precision-engineered master cylinder kit featuring a built-in proportioning valve. This 1-1/8" bore chrome flat top master cylinder...More Details »
Item #: M_6B4
Condition: New
Price: $379.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Mopar C-Body vehicles. This drum-to-manual disc...More Details »
Item #: FC2006-C05X
Condition: New
Price: $1,894.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum black calipers & MaxGrip XDS Drilled & Slotted Rotors! The...More Details »
Item #: BCC0005RKX
Condition: New
Price: $1,239.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers & MaxGrip XDS Drilled & Slotted Rotors! The MaxGrip...More Details »
Item #: CC0005RKX
Condition: New
Price: $1,185.99

Qty:

Ford Mustang
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964-67 Ford Mustang with LEED Brakes MaxGrip Lite 4-Piston Aluminum Calipers and MaxGrip XDS Drilled & Slotted Rotors. Designed as a direct bolt-on replacement for factory D11 front...More Details »
Item #: RCC0005RKX
Condition: New
Price: $1,239.99

Qty:

Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers! The MaxGrip Lite 4 Piston aluminum calipers are a...More Details »
Item #: CC0005
Condition: New
Price: $899.99

Qty:

Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to our MaxGrip Lite 4 Piston aluminum calipers! The MaxGrip Lite 4 Piston aluminum calipers are a...More Details »
Item #: BCC0005
Condition: New
Price: $974.99

Qty:

Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Improve the stopping and appearance of your 1964-67 Ford Mustang Factory D11 Calipers by upgrading to LEED Brakes' MaxGrip Lite 4 Piston aluminum brake calipers! These MaxGrip Lite 4 Piston...More Details »
Item #: RCC0005
Condition: New
Price: $974.99

Qty:

GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your classic GM AFX-Body vehicle with a high-performance LEED Brakes Front Disc Brake Conversion Kit . This premium front caliper and rotor kit is engineered to deliver improved stopping...More Details »
Item #: CC1008RKX
Condition: New
Price: $1,499.95

Qty:

GM AFX
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX-Body with the LEED Brakes MaxGrip Lite Front Disc Brake Kit, engineered to deliver exceptional stopping power, improved brake pedal feel, and long-lasting reliability. This...More Details »
Item #: BCC1008RKX
Condition: New
Price: $1,599.95

Qty:

GM AFX
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Introducing LEED Brakes' premium front caliper & rotor kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: RCC1008RKX
Condition: New
Price: $1,599.95

Qty:

GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your vehicle's braking performance with the LEED Brakes premium front caliper kit. Designed as a direct bolt-on upgrade, this kit delivers improved stopping power, reliability, and...More Details »
Item #: CC1008
Condition: New
Price: $1,299.95

Qty:

GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Introducing our premium front caliper kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides everything you need...More Details »
Item #: BCC1008
Condition: New
Price: $1,399.95

Qty:

GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your vehicle's braking performance with the LEED Brakes MaxGrip Lite 4-Piston Front Caliper Kit. Engineered for improved stopping power, reliability, and durability, this complete front...More Details »
Item #: RCC1008
Condition: New
Price: $1,399.95

Qty:

GM AFX
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: FC1009SMX
Condition: New
Price: $1,799.95

Qty:

GM AFX
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: BFC1009SMX
Condition: New
Price: $1,899.95

Qty:

GM AFX
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: RFC1009SMX
Condition: New
Price: $1,899.95

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes....More Details »
Item #: BFC0026-405PX
Condition: New
Price: $2,074.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1960-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory...More Details »
Item #: FC0026-405PX
Condition: New
Price: $1,999.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes....More Details »
Item #: RFC0026-405PX
Condition: New
Price: $2,074.99

Qty:

Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a front disc brake conversion kit from LEED Brakes. This spindle-mount disc brake conversion kit includes everything needed to mount USA-made MaxGrip Lite...More Details »
Item #: BFC0005SMX
Condition: New
Price: $1,699.99

Qty:

Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a front disc brake conversion kit from LEED Brakes. This 1963-1969 Ford and Mercury disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: RFC0005SMX
Condition: New
Price: $1,699.99

Qty:

Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: RFC0005-405X
Condition: New
Price: $1,799.99

Qty:

Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed to convert factory front drum brakes to disc brakes, this...More Details »
Item #: RFC2004SMX
Condition: New
Price: $1,825.99

Qty:

Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5-1966 Ford Mustang with a manual front disc brake conversion kit from LEED Brakes. This Mustang front disc brake conversion kit includes everything needed to mount USA-made...More Details »
Item #: BFC0005-405X
Condition: New
Price: $1,799.99

Qty:

Ford Mustang
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1970-1973 Ford and Mercury vehicles, including the Ford...More Details »
Item #: BFC0006SMX
Condition: New
Price: $1,699.99

Qty:

Ford Mustang
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1970-1973 Ford and Mercury vehicles, including the Ford...More Details »
Item #: RFC0006SMX
Condition: New
Price: $1,699.99

Qty:

Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit (Spindle Mount) for Mopar C-Body vehicles. This...More Details »
Item #: FC2006SMX
Condition: New
Price: $1,704.99

Qty:

Ford Falcon, Ford Fairlane, Ford Ranchero, Mercury Comet, Mercury Cyclone
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes. Designed for select 1962-1969 Ford and Mercury vehicles, this drum-to-disc brake...More Details »
Item #: BFC0005-4C7X
Condition: New
Price: $1,799.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for vehicles equipped with factory front drum...More Details »
Item #: BFC0026-405X
Condition: New
Price: $2,074.99

Qty:

Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: BFC2004-C05X
Condition: New
Price: $2,084.99

Qty:

Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: RFC2004-C05X
Condition: New
Price: $2,084.99

Qty:

Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed to convert factory manual front drum brakes to manual...More Details »
Item #: FC2004-C05X
Condition: New
Price: $1,984.99

Qty:

Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. Designed for select 1971-1973 Ford and Mercury vehicles, including the...More Details »
Item #: BFC0008-405X
Condition: New
Price: $1,799.99

Qty:

Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971-1973 Ford Mustang with a MaxGrip Lite 4-piston manual front disc brake conversion kit from LEED Brakes. This drum-to-disc brake conversion kit includes everything needed to mount...More Details »
Item #: RFC0008-405X
Condition: New
Price: $1,799.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Stop with confidence: Upgrade your classic Ford with the LEED Brakes MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit, designed for factory drum brake spindles. Experience the...More Details »
Item #: FC0026-405X
Condition: New
Price: $1,999.99

Qty:

Ford Galaxie, Fairlane, Custom 500
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Stop with confidence: Upgrade your classic Ford with the LEED Brakes MaxGrip Lite 4-Piston Manual Front Disc Brake Conversion Kit for Ford Full-Size, featuring bold red aluminum calipers and...More Details »
Item #: RFC0026-405X
Condition: New
Price: $2,074.99

Qty:

Items 781-840 of 1135